Skip to main content

Sales


This section provides the information needed to process a sale.

Endpoints

POST /pts/v2/payments

POST /pts/v2/payments

Example

{  "clientReferenceInformation": {    "code": "TC-Sale-1"  },  "processingInformation": {    "commerceIndicator": "internet",   "capture": true  },  "paymentInformation": {    "card": {     "type": "001",      "number": "4xxxxxxxxxxx1111",      "expirationMonth": "12",      "expirationYear": "2031"    }  },  "orderInformation": {    "amountDetails": {      "totalAmount": "100.00",      "currency": "BRL"    },    "billTo": {      "firstName": "John",      "lastName": "Smith",      "address1": "901 Córdoba Center Blvd",      "address2": "Desk M3-5573",      "locality": "Córdoba",      "administrativeArea": "SP",      "postalCode": "X4404-2322",      "country": "BR",      "email": "[email protected]",      "phoneNumber": "4158880000",      "district": "Bela Vista Æ",      "buildingNumber": "1024 Metrño4"    }  }}
{  "_links" : {    "void" : {      "method" : "POST",      "href" : "/pts/v2/payments/7627760386586222103092/voids"    },    "self" : {      "method" : "GET",      "href" : "/pts/v2/payments/7627760386586222103092"    }  },  "clientReferenceInformation" : {    "code" : "TC-Sale-1"  },  "id" : "7627760386586222103092",  "orderInformation" : {    "amountDetails" : {      "totalAmount" : "100.00",      "authorizedAmount" : "100.00",      "currency" : "BRL"    }  },  "paymentAccountInformation" : {    "card" : {      "type" : "001"    }  },  "paymentInformation" : {    "tokenizedCard" : {      "type" : "001"    },    "card" : {      "type" : "001"    }  },  "processorInformation" : {    "approvalCode" : "010012",    "networkTransactionId" : "999010012",    "transactionId" : "72b2900a9f316142b627a21031b48b0c259f08ffba0004172a04450c5d212345",    "responseCode" : "00003",    "avs" : {      "code" : "2"    }  },  "reconciliationId" : "7627760386586222103092",  "status" : "AUTHORIZED",  "submitTimeUtc" : "2025-11-10T12:00:38Z"}
FieldTypeDescription
clientReferenceInformation.code
orderInformation.amountDetails.currency
orderInformation.amountDetails.totalAmount
paymentInformation.card.expirationMonth
paymentInformation.card.expirationYear
paymentInformation.card.number
paymentInformation.card.type
processingInformation.capture
processingInformation.commerceIndicator
Optional Fields
FieldTypeDescription
orderInformation.billTo.address1
orderInformation.billTo.address2
orderInformation.billTo.administrativeArea
orderInformation.billTo.buildingNumber
orderInformation.billTo.country
orderInformation.billTo.district
orderInformation.billTo.email
orderInformation.billTo.firstName
orderInformation.billTo.lastName
orderInformation.billTo.locality
orderInformation.billTo.phoneNumber
orderInformation.billTo.postalCode

Last published: September 29, 2026